Subject: [mpls] Fw: I-D Action:draft-farrel-mpls-lsp-ping-tlvs-01.txt

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 17 Nov 2007 20:49:39 -0000

Hi MPLS working group,

This short I-D is proposing to impose some sub-ranges on the type values of 
LSP Ping TLVs to make them future proof.

Comments welcome.

Thanks,
Adrian

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Sent: Saturday, November 17, 2007 12:40 PM
Subject: I-D Action:draft-farrel-mpls-lsp-ping-tlvs-01.txt

>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
>
> Title           : Future-Proof TLV Codepoint Space for LSP Ping
> Author(s)       : A. Farrel, G. Swallow
> Filename        : draft-farrel-mpls-lsp-ping-tlvs-01.txt
> Pages           : 10
> Date            : 2007-11-17
>
> Techniques for detecting Multi-Protocol Label Switched (MPLS) data
> plane failures are described in RFC 4379 and include the definition
> of a control protocol for testing and verifying Label Switched Path
> (LSP) connectivity that is known as LSP Ping. The protocol consists
> of a set of messages each of which contains data encoded as TLVs.
>
> The LSP Ping protocol is being extended for several related uses.
> Each extension gives rise to the definition of new TLVs to be carried
> on the existing protocol messages.
>
> The LSP Ping specification makes it mandatory that all TLVs are
> understood by each participating Label Switching Router (LSR) that
> receives an LSP Ping message. This makes future extensibility hard
> without upgrading all LSRs in the network.
> This document defines ranges in the TLV codepoint space so that TLVs
> may be associated with different processing rules within an LSR if
> the TLV is unknown. This will make extensibility more simple.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-farrel-mpls-lsp-ping-tlvs-01.txt

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls